#!/usr/bin/env ruby

require "mkmf"

dir_config( "openssl" )

if have_header( "blowfish.h" ) and
   have_library( "crypto", "BF_set_key" ) then

  create_makefile( "Blowfish" )

else

  puts
  puts( "Oops, the openssl library seems not to be installed on this machine!" )
  puts( "You can get the library from http://www.openssl.org/" )
  puts

end

#
# EOF
#
